---------------------------------------------------------------------
-- Invisible Inc. mod
-- by Shyllelagh

local simquery = include( "sim/simquery" )
local util = include( "modules/util" )
local propdefs = include("sim/unitdefs/propdefs")
local guarddefs = include("sim/unitdefs/guarddefs")
local agentdefs = include("sim/unitdefs/agentdefs")
local simdefs = include("sim/simdefs")
local STRINGS = include( "strings" )

local function init( modApi )
    local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
    
    modApi.requirements = { "Sim Constructor"} -- this isn't actually needed for now but other mods may need to be loaded first, Flavorful Agents for example. anything that overrides default agents via the addagent api
    
    -- Mount data.
    KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" ) --optional as of yet nonexistent file with mod icon or whatever
    -- KLEIResourceMgr.MountPackage( dataPath .. "/anims.kwad", "data" ) -- where your custom stuff should go!!
    
     --Options:
    modApi:addGenerationOption("sea_level_change", "Enable Sea Level Change", "Raises the sea level to 2074 global warming levels. Purely cosmetic change.", {noUpdate=true}) -- obligatory generation option, noUpdate means game doesn't get set to Custom if you untick it
end

local function load()
-- this is empty for now, stuff will go here when we change agentdefs later
end

return { -- return means defining which functions or elements actually exit this file as output. If it's not getting returned or modifying something that gets returned then it does... nothing, really
    init = init,
    load = load,
}